Skip to main content

Create a comment

Notice: The Cards API is deprecated and will be removed in a future release. Please migrate to the new Tasks API to avoid disruptions.

Create a comment inside a card.

Parameters​

content
string
required
Content of the comment.
format
enum
required
The comment format. One of text, html.

Returns​

Returns the created comment object. Throws an error if some parameters are not valid.

post
/api/cards/{id}/comments
curl -X POST https://{workspace}.kitchen.co/api/cards/{id}/comments \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"author": "u_c01bb6102b6ddadd4b1f020e",
"content": "The comment content",
"board": "tskb_1lbg89ha9ttb5dmxuldku3nx",
"card": "tsk_1lbg89ha9ttb5dmxuldku3nx",
"created_at": "2024-01-23T23:09:00+00:00",
"format": "text",
"id": "msg_3447589816730d8ba4e50528",
"updated_at": "2024-01-23T23:09:00+00:00"
}